### Method

# Gtk TreeStoreset

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_set (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      ...
    )

#### Description [src]

Sets the value of one or more cells in the row referenced by `iter`.

The variable argument list should contain integer column numbers, each column number followed by the value to be set.

The list is terminated by a value of `-1`.

For example, to set column 0 with type `G_TYPE_STRING` to “Foo”, you would write

    gtk_tree_store_set (store, iter, 0, "Foo", -1);

The value will be referenced by the store if it is a `G_TYPE_OBJECT`, and it will be copied if it is a `G_TYPE_STRING` or `G_TYPE_BOXED`.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_tree_store_set_valuesv()` in language bindings

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` for the row being modified.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Pairs of column number and value, terminated with -1